Skip to main content
PATCH
/
2025-04
/
marketing-solutions
/
ad-sets
/
{ad-set-id}
/
display-multipliers
/2025-04/marketing-solutions/ad-sets/{ad-set-id}/display-multipliers
curl --request PATCH \
  --url https://api.criteo.com/2025-04/marketing-solutions/ad-sets/{ad-set-id}/display-multipliers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "attributes": {
        "displayMultiplier": 123
      },
      "id": "<string>",
      "type": "AdSetDisplayMultiplier"
    }
  ]
}
'
{
  "data": [
    {
      "id": "<string>",
      "type": "AdSetDisplayMultiplier"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ad-set-id
string
required

Id of the Ad Set

Body

application/json

List of display multiplier values to change

Data model for a list of input resources

data
object[] | null

Response

200 - application/json

List of updated Display Multipliers for given Categories associated to an Ad Set. Make sure to check the error field in the response since a partial success will result in a 200 response code.

Data model for a list of response resources

data
object[] | null
errors
object[] | null
read-only
warnings
object[] | null
read-only